~mordred/libmemcached/pandora-build

« back to all changes in this revision

Viewing changes to m4/pandora_have_libdrizzle.m4

  • Committer: Monty Taylor
  • Date: 2010-04-07 18:20:19 UTC
  • Revision ID: mordred@inaugust.com-20100407182019-2hmlw2vzq68nkvf1
Latest pandora-build.

Show diffs side-by-side

added added

removed removed

Lines of Context:
36
36
 
37
37
AC_DEFUN([PANDORA_REQUIRE_LIBDRIZZLE],[
38
38
  AC_REQUIRE([PANDORA_HAVE_LIBDRIZZLE])
39
 
  AS_IF([test "x${ac_cv_libdrizzle}" = "xno"],
40
 
      AC_MSG_ERROR([libdrizzle is required for ${PACKAGE}]))
 
39
  AS_IF([test "x${ac_cv_libdrizzle}" = "xno"],[
 
40
    AC_MSG_ERROR([libdrizzle is required for ${PACKAGE}])
 
41
  ],[
 
42
    dnl We need at least 0.8 on Solaris non-sparc
 
43
    AS_IF([test "$target_cpu" != "sparc" -a "x${TARGET_SOLARIS}" = "xtrue"],[
 
44
      PANDORA_LIBDRIZZLE_RECENT
 
45
    ])
 
46
  ])
41
47
])
42
48
 
43
 
AC_DEFUN([PANDORA_LIBDRIZZLE_NOVCOL],[
44
 
  AC_CACHE_CHECK([if libdrizzle still has virtual columns],
45
 
    [pandora_cv_libdrizzle_vcol],
 
49
AC_DEFUN([PANDORA_LIBDRIZZLE_RECENT],[
 
50
  AC_CACHE_CHECK([if libdrizzle is recent enough],
 
51
    [pandora_cv_libdrizzle_recent],
46
52
    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
47
53
#include <libdrizzle/drizzle.h>
48
 
int foo= DRIZZLE_COLUMN_TYPE_DRIZZLE_VIRTUAL;
 
54
drizzle_con_options_t foo= DRIZZLE_CON_EXPERIMENTAL;
49
55
    ]])],
50
 
    [pandora_cv_libdrizzle_vcol=yes],
51
 
    [pandora_cv_libdrizzle_vcol=no])])
52
 
  AS_IF([test "$pandora_cv_libdrizzle_vcol" = "yes"],[
53
 
    AC_MSG_ERROR([Your version of libdrizzle is too old. ${PACKAGE} requires at least version 0.4])
 
56
    [pandora_cv_libdrizzle_recent=yes],
 
57
    [pandora_cv_libdrizzle_recent=no])])
 
58
  AS_IF([test "$pandora_cv_libdrizzle_recent" = "no"],[
 
59
    AC_MSG_ERROR([Your version of libdrizzle is too old. ${PACKAGE} requires at least version 0.8])
54
60
  ])
55
61
])